'use strict';
const chalk = require('chalk');
exports.boilerplateChoice = [
  {
    name: `Create ${chalk.green('Vue')} Application`,
    value: 'boilerplate-vue'
  },
  {
    name: `Create ${chalk.green('React')} Application`,
    value: 'boilerplate-react'
  },
  {
    name: `Create ${chalk.green('Egg + Vue')} Application`,
    value: 'boilerplate-egg-vue'
  },
  {
    name: `Create ${chalk.green('Egg + React')} Application`,
    value: 'boilerplate-egg-react'
  },
  {
    name: `Create ${chalk.green('Weex')} Application`,
    value: 'easywebpack-weex-boilerplate'
  },
  {
    name: `Create ${chalk.green('HTML')} Application`,
    value: 'easywebpack-multiple-html-boilerplate'
  },
  {
    name: `Create ${chalk.green('NPM')} Package Template`,
    value: 'npm-package-code-template',
    choices: ['name', 'description', 'npm'],
    run: 'npm test'
  }
];

exports.boilerplateDetailChoice = {
  'boilerplate-vue': [
    {
      name: `Create ${chalk.green('Vue Single Page')} Application`,
      value: 'vue-boilerplate',
      pkgName: 'easywebpack-vue-boilerplate'
    }
  ],
  'boilerplate-react': [
    {
      name: `Create ${chalk.green('React')} ${chalk.yellow('Webpack')} Application`,
      value: 'easy-react-app-template',
      pkgName: 'easy-react-app-template',
      choices: ['name', 'description', 'npm'],
    },
    {
      name: `Create ${chalk.green('React Single Page')} Application`,
      value: 'react-boilerplate',
      pkgName: 'easywebpack-react-boilerplate'
    },
    {
      name: `Create ${chalk.green('React + AntD Single Page')} Application`,
      value: 'react-antd-boilerplate',
      pkgName: 'easywebpack-react-antd-boilerplate'
    }
  ],
  'boilerplate-egg-vue': [
    {
      name: `Create ${chalk.green('Egg + Vue')} ${chalk.yellow('Element Admin')} Application`,
      value: 'easy-element-admin',
      pkgName: 'easy-element-admin'
    },
    {
      name: `Create ${chalk.green('Egg + Vue Single Page')} ${chalk.yellow('Server Side Render')} Application`,
      value: 'egg-vue-spa',
      pkgName: 'egg-vue-webpack-spa-boilerplate'
    },
    {
      name: `Create ${chalk.green('Egg + Vue Multil Page')} ${chalk.yellow('Server Side Render')} Application`,
      value: 'egg-vue-multil',
      pkgName: 'egg-vue-webpack-mpa-boilerplate'
    },
    {
      name: `Create ${chalk.green('Egg + Vue Single And Multil Page')} ${chalk.yellow('Server Side Render')} Application`,
      value: 'egg-vue',
      pkgName: 'egg-vue-webpack-boilerplate'
    },
    {
      name: `Create ${chalk.green('Egg + Vue + TypeScript')} ${chalk.yellow('Server Side Render')} Application`,
      value: 'egg-vue-typescript',
      pkgName: 'egg-vue-typescript-boilerplate'
    },
    {
      name: `Create ${chalk.green('Ves Framework - Node Vue TypeScript Isomorphic Framework')} Application`,
      value: 'ves',
      pkgName: 'ves-admin'
    }
  ],
  'boilerplate-egg-react': [
    {
      name: `Create ${chalk.green('Egg + React + Nunjucks')} Application`,
      value: 'egg-react-html-boilerplate',
      pkgName: 'egg-react-html-boilerplate'
    },
    {
      name: `Create ${chalk.green('Egg + React + TypeScript')} ${chalk.yellow('Server Side Render')} Application`,
      value: 'egg-react-typescript',
      pkgName: 'egg-react-typescript-boilerplate'
    },
    {
      name: `Create ${chalk.green('Egg + React + AntD')} ${chalk.yellow('Client Side Render')} Admin Application`,
      value: 'easy-react-admin',
      pkgName: 'easy-react-admin'
    },
    {
      name: `Create ${chalk.green('Egg + React Single Page')} ${chalk.yellow('Server Side Render')} Application`,
      value: 'egg-react-spa',
      pkgName: 'egg-react-webpack-spa-boilerplate'
    },
    {
      name: `Create ${chalk.green('Egg + React Multil Page')} ${chalk.yellow('Server Side Render')} Application`,
      value: 'egg-react-multil',
      pkgName: 'egg-react-webpack-mpa-boilerplate'
    },
    {
      name: `Create ${chalk.green('Egg + React Single And Multil Page')} ${chalk.yellow('Server Side Render')} Application`,
      value: 'egg-react',
      pkgName: 'egg-react-webpack-boilerplate'
    }
  ]
};

exports.projectAskChoice = [
  {
    type: 'input',
    name: 'name',
    message: 'Please input project name:'
  },
  {
    type: 'input',
    name: 'description',
    message: 'Please input project description:'
  },
  {
    type: 'list',
    name: 'style',
    message: 'Please choose css style:',
    choices: [
      {
        name: 'css',
        value: null,
        checked: true
      },
      {
        name: 'sass',
        value: 'scss'
      },
      {
        name: 'less',
        value: 'less'
      },
      {
        name: 'stylus',
        value: 'stylus'
      }
    ]
  },
  {
    type: 'list',
    name: 'npm',
    message: 'Please choose the way to install dependency:',
    choices: [
      {
        name: 'none',
        value: null,
        checked: true
      },
      {
        name: 'npm',
        value: 'npm'
      },
      {
        name: 'yarn',
        value: 'yarn'
      },
      {
        name: 'cnpm',
        value: 'cnpm'
      },
      {
        name: 'tnpm',
        value: 'tnpm'
      }
    ]
  }
];